=== ffmpeg/libavutil/aarch64/Makefile ===
OBJS += aarch64/cpu.o                                                 \
        aarch64/float_dsp_init.o                                      \
        aarch64/tx_float_init.o                                       \

NEON-OBJS += aarch64/float_dsp_neon.o                                 \
             aarch64/tx_float_neon.o                                  \

SVE-OBJS += aarch64/cpu_sve.o                                         \

SME-OBJS += aarch64/cpu_sme.o                                         \
