=== debian/changelog ===
mpv (2:2025.12.22.670a266475) UNRELEASED; urgency=medium

  * local build with ffmpeg 2:2025.12.22.eb3b632b48, libass 2:2025.12.18.cbb7432, libplacebo 2:2025.12.22.bc90ef94

 -- Local User <localuser@localhost>  Mon, 22 Dec 2025 19:21:11 +0100
